Delete a snippet category
curl --request DELETE \
--url https://api.getfernand.com/snippets/categories/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/snippets/categories/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/snippets/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/snippets/categories/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/snippets/categories/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/snippets/categories/{id}")
.header("X-API-Key", "<api-key>")
.asString();{}{
"error": "<string>"
}Delete a snippet category
DELETE
/
snippets
/
categories
/
{id}
Delete a snippet category
Permanently deletes the specified snippet category and all its child categories recursively. This operation also removes all snippet assignments to the deleted categories. This operation cannot be undone.
Authorizations
Path Parameters
ID of the category to delete.
Response
Category deleted successfully.
The response is of type object.
Was this page helpful?
⌘I